Subject: bug#78658: 30.1; [PATCH] Dired feature suggestion: dired-on-marked-files-in-all-buffers

From: Drew Adams <[email-masked]>
Date: Wed, 4 Jun 2025 17:19:43 +0000

> > > > Dired+ has long had commands that act on all marked files & dirs
> > > > in a Dired buffer, and all marked files & dirs in Dired buffers
> > > > for marked subdirs,... defined recursively.
> > > >
> > > > IOW, instead of (as in Phil's feature) checking all Dired buffers
> > > > for markings, such functions check only the current Dired buffer,
> > > > Dired buffers for its marked subdirs, and so on recursively.
> > > 
> > > It would be too tedious to mark subdirs,
> >
> > I don't agree.  It's simple and practical.
> >
> > You may be thinking of your use case (below), where you
> > apparently want (1) a Dired buffer for each descendant
> > directory, (2) a Dired buffer for the top-level dir,
> > and (3) a Dired buffer for each subdir marked in each
> > such buffer.
> 
> To avoid misunderstanding, here is the use case that I meant:
> 
> 1. mark the file dired.el in the 'lisp' dir;
> 2. mark the file vc-dir.el in the 'lisp/vc' dir;
> 3. in the root dir invoke 'dired-on-marked-files'
> 
> and it shows the list of
> 
>   lisp/dired.el
>   lisp/vc/vc-dir.el

Sounds like we're miscommunicating.  You're now talking about
`dired-on-marked-files', by which I guess you mean Phil's
`dired-on-marked-files-in-all-buffers'.  That doesn't require
any marking of subdirs.

But you didn't reply "It would be too tedious to mark subdirs",
to anything about `dired-on-marked-files-in-all-buffers'.  You
replied that to my mention of the Dired+ feature of selectively
acting on marked files & dirs in Dired buffers for marked subdirs.

And you seemed to be saying that for that the most common case
is to want to act on all marked lines in all Dired buffers for
subdir listings (at all levels).  IOW, no selectivity.